CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 4286

CAD tip CAD tip # 6924:

   
Question CAD 
 %  platform  category 
Q - question

Just PURGE - no question asked.

A - answer If you want to perform a PURGE in your drawing, without any interactive questions, you can use the commandline version of this command: -PURGE, or a simple LISP macro:
  1. Either add the following menu macro to your menu:

    _-PURGE;_All;*;_N;

  2. Or add the the following LISP macro:

    (vl-load-com)(vla-purgeall (vla-get-activedocument (vlax-get-acad-object)))

    Or use LISP to define your own new command PURGEA:

      
    (defun C:PURGEA ()  
    (vl-load-com)  
    (vla-purgeall (vla-get-activedocument (vlax-get-acad-object)))  
    (prin1)  
    )  
    
ACAD
100% *  CAD 
8.9.2009    6475×  
Prices - CAD eShop:
applies to: AutoCAD ·

See also:
Tip 12933:Purging small objects from a DWG drawing - PurgeSmall.
Tip 12592:How to automatically purge old backup files .BAK?
Tip 12198:How to remove duplicate points and COGO points from a DWG?
Tip 12191:How to preset options in the Purge dialog?
Tip 11439:Replace block instances (incl. dynamic) with another block.


Back   All CAD Tips



Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Use Google Earth images in your AutoCAD projects with the Plex.Earth Tools More info


Please use these tips at your own risk.
CAD Studio is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist